ApiService (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiService

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiService

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiService
      extends Object

  A service (such as HDFS, MapReduce, HBase) runs in a cluster. It has roles, which are the actual entities (NameNode, DataNodes, etc.) that perform the service's functions. <h3>HDFS services and health checks</h3> In CDH4, HDFS services may not present any health checks. This will happen if the service has more than one nameservice configured. In those cases, the health information will be available by fetching information about the nameservices instead. <p> The health summary is still available, and reflects a service-wide summary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiService` | `addHealthChecksItem(ApiHealthCheck healthChecksItem)`
    `ApiService` | `addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)`
    `ApiService` | `addReplicationSchedulesItem(ApiReplicationSchedule replicationSchedulesItem)`
    `ApiService` | `addRoleConfigGroupsItem(ApiRoleConfigGroup roleConfigGroupsItem)`
    `ApiService` | `addRolesItem(ApiRole rolesItem)`
    `ApiService` | `addSnapshotPoliciesItem(ApiSnapshotPolicy snapshotPoliciesItem)`
    `ApiService` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiService` | `clientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)`
    `ApiService` | `clusterRef(ApiClusterRef clusterRef)`
    `ApiService` | `config(ApiServiceConfig config)`
    `ApiService` | `configStale(Boolean configStale)`
    `ApiService` | `configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `ApiService` | `displayName(String displayName)`
    `ApiService` | `entityStatus(ApiEntityStatus entityStatus)`
    `boolean` | `equals(Object o)`
    `ApiConfigStalenessStatus` | `getClientConfigStalenessStatus()` Get clientConfigStalenessStatus
    `ApiClusterRef` | `getClusterRef()` Get clusterRef
    `ApiServiceConfig` | `getConfig()` Get config
    `ApiConfigStalenessStatus` | `getConfigStalenessStatus()` Get configStalenessStatus
    `String` | `getDisplayName()` The display name for the service that is shown in the UI.
    `ApiEntityStatus` | `getEntityStatus()` Get entityStatus
    `List<ApiHealthCheck>` | `getHealthChecks()` Readonly.
    `ApiHealthSummary` | `getHealthSummary()` Get healthSummary
    `List<ApiEntityType>` | `getMaintenanceOwners()` Readonly.
    `String` | `getName()` The name of the service.
    `List<ApiReplicationSchedule>` | `getReplicationSchedules()` The list of replication schedules for this service.
    `List<ApiRoleConfigGroup>` | `getRoleConfigGroups()` The list of role configuration groups in this service.
    `String` | `getRoleInstancesUrl()` Readonly.
    `List<ApiRole>` | `getRoles()` The list of service roles.
    `ApiServiceState` | `getServiceState()` Get serviceState
    `String` | `getServiceUrl()` Readonly.
    `String` | `getServiceVersion()` Service version (optional) Available since V41.
    `List<ApiSnapshotPolicy>` | `getSnapshotPolicies()` The list of snapshot policies for this service.
    `List<ApiEntityTag>` | `getTags()` Tags associated with the service.
    `String` | `getType()` The type of the service, e.g.
    `int` | `hashCode()`
    `ApiService` | `healthChecks(List<ApiHealthCheck> healthChecks)`
    `ApiService` | `healthSummary(ApiHealthSummary healthSummary)`
    `Boolean` | `isConfigStale()` Readonly.
    `Boolean` | `isMaintenanceMode()` Readonly.
    `ApiService` | `maintenanceMode(Boolean maintenanceMode)`
    `ApiService` | `maintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `ApiService` | `name(String name)`
    `ApiService` | `replicationSchedules(List<ApiReplicationSchedule> replicationSchedules)`
    `ApiService` | `roleConfigGroups(List<ApiRoleConfigGroup> roleConfigGroups)`
    `ApiService` | `roleInstancesUrl(String roleInstancesUrl)`
    `ApiService` | `roles(List<ApiRole> roles)`
    `ApiService` | `serviceState(ApiServiceState serviceState)`
    `ApiService` | `serviceUrl(String serviceUrl)`
    `ApiService` | `serviceVersion(String serviceVersion)`
    `void` | `setClientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setConfig(ApiServiceConfig config)`
    `void` | `setConfigStale(Boolean configStale)`
    `void` | `setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEntityStatus(ApiEntityStatus entityStatus)`
    `void` | `setHealthChecks(List<ApiHealthCheck> healthChecks)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setMaintenanceMode(Boolean maintenanceMode)`
    `void` | `setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `void` | `setName(String name)`
    `void` | `setReplicationSchedules(List<ApiReplicationSchedule> replicationSchedules)`
    `void` | `setRoleConfigGroups(List<ApiRoleConfigGroup> roleConfigGroups)`
    `void` | `setRoleInstancesUrl(String roleInstancesUrl)`
    `void` | `setRoles(List<ApiRole> roles)`
    `void` | `setServiceState(ApiServiceState serviceState)`
    `void` | `setServiceUrl(String serviceUrl)`
    `void` | `setServiceVersion(String serviceVersion)`
    `void` | `setSnapshotPolicies(List<ApiSnapshotPolicy> snapshotPolicies)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `void` | `setType(String type)`
    `ApiService` | `snapshotPolicies(List<ApiSnapshotPolicy> snapshotPolicies)`
    `ApiService` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`
    `ApiService` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiService

          public ApiService()

  - ### Method Detail

    - #### name

          public ApiService name(String name)

    - #### getName

          public String getName()

      The name of the service.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### type

          public ApiService type(String type)

    - #### getType

          public String getType()

      The type of the service, e.g. HDFS, MAPREDUCE, HBASE.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### clusterRef

          public ApiService clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Get clusterRef
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### serviceState

          public ApiService serviceState(ApiServiceState serviceState)

    - #### getServiceState

          public ApiServiceState getServiceState()

      Get serviceState
      Returns:
        serviceState

    - #### setServiceState

          public void setServiceState(ApiServiceState serviceState)

    - #### healthSummary

          public ApiService healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      Get healthSummary
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### configStale

          public ApiService configStale(Boolean configStale)

    - #### isConfigStale

          public Boolean isConfigStale()

      Readonly. Expresses whether the service configuration is stale.
      Returns:
        configStale

    - #### setConfigStale

          public void setConfigStale(Boolean configStale)

    - #### configStalenessStatus

          public ApiService configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### getConfigStalenessStatus

          public ApiConfigStalenessStatus getConfigStalenessStatus()

      Get configStalenessStatus
      Returns:
        configStalenessStatus

    - #### setConfigStalenessStatus

          public void setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### clientConfigStalenessStatus

          public ApiService clientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)

    - #### getClientConfigStalenessStatus

          public ApiConfigStalenessStatus getClientConfigStalenessStatus()

      Get clientConfigStalenessStatus
      Returns:
        clientConfigStalenessStatus

    - #### setClientConfigStalenessStatus

          public void setClientConfigStalenessStatus(ApiConfigStalenessStatus clientConfigStalenessStatus)

    - #### healthChecks

          public ApiService healthChecks(List<ApiHealthCheck> healthChecks)

    - #### addHealthChecksItem

          public ApiService addHealthChecksItem(ApiHealthCheck healthChecksItem)

    - #### getHealthChecks

          public List<ApiHealthCheck> getHealthChecks()

      Readonly. The list of health checks of this service.
      Returns:
        healthChecks

    - #### setHealthChecks

          public void setHealthChecks(List<ApiHealthCheck> healthChecks)

    - #### serviceUrl

          public ApiService serviceUrl(String serviceUrl)

    - #### getServiceUrl

          public String getServiceUrl()

      Readonly. Link into the Cloudera Manager web UI for this specific service.
      Returns:
        serviceUrl

    - #### setServiceUrl

          public void setServiceUrl(String serviceUrl)

    - #### roleInstancesUrl

          public ApiService roleInstancesUrl(String roleInstancesUrl)

    - #### getRoleInstancesUrl

          public String getRoleInstancesUrl()

      Readonly. Link into the Cloudera Manager web UI for role instances table for this specific service. Available since API v11.
      Returns:
        roleInstancesUrl

    - #### setRoleInstancesUrl

          public void setRoleInstancesUrl(String roleInstancesUrl)

    - #### maintenanceMode

          public ApiService maintenanceMode(Boolean maintenanceMode)

    - #### isMaintenanceMode

          public Boolean isMaintenanceMode()

      Readonly. Whether the service is in maintenance mode. Available since API v2.
      Returns:
        maintenanceMode

    - #### setMaintenanceMode

          public void setMaintenanceMode(Boolean maintenanceMode)

    - #### maintenanceOwners

          public ApiService maintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### addMaintenanceOwnersItem

          public ApiService addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)

    - #### getMaintenanceOwners

          public List<ApiEntityType> getMaintenanceOwners()

      Readonly. The list of objects that trigger this service to be in maintenance mode. Available since API v2.
      Returns:
        maintenanceOwners

    - #### setMaintenanceOwners

          public void setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### config

          public ApiService config(ApiServiceConfig config)

    - #### getConfig

          public ApiServiceConfig getConfig()

      Get config
      Returns:
        config

    - #### setConfig

          public void setConfig(ApiServiceConfig config)

    - #### roles

          public ApiService roles(List<ApiRole> roles)

    - #### addRolesItem

          public ApiService addRolesItem(ApiRole rolesItem)

    - #### getRoles

          public List<ApiRole> getRoles()

      The list of service roles. Optional.
      Returns:
        roles

    - #### setRoles

          public void setRoles(List<ApiRole> roles)

    - #### displayName

          public ApiService displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name for the service that is shown in the UI. Available since API v2.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### roleConfigGroups

          public ApiService roleConfigGroups(List<ApiRoleConfigGroup> roleConfigGroups)

    - #### addRoleConfigGroupsItem

          public ApiService addRoleConfigGroupsItem(ApiRoleConfigGroup roleConfigGroupsItem)

    - #### getRoleConfigGroups

          public List<ApiRoleConfigGroup> getRoleConfigGroups()

      The list of role configuration groups in this service. Optional. Available since API v3.
      Returns:
        roleConfigGroups

    - #### setRoleConfigGroups

          public void setRoleConfigGroups(List<ApiRoleConfigGroup> roleConfigGroups)

    - #### replicationSchedules

          public ApiService replicationSchedules(List<ApiReplicationSchedule> replicationSchedules)

    - #### addReplicationSchedulesItem

          public ApiService addReplicationSchedulesItem(ApiReplicationSchedule replicationSchedulesItem)

    - #### getReplicationSchedules

          public List<ApiReplicationSchedule> getReplicationSchedules()

      The list of replication schedules for this service. Optional. Available since API v6.
      Returns:
        replicationSchedules

    - #### setReplicationSchedules

          public void setReplicationSchedules(List<ApiReplicationSchedule> replicationSchedules)

    - #### snapshotPolicies

          public ApiService snapshotPolicies(List<ApiSnapshotPolicy> snapshotPolicies)

    - #### addSnapshotPoliciesItem

          public ApiService addSnapshotPoliciesItem(ApiSnapshotPolicy snapshotPoliciesItem)

    - #### getSnapshotPolicies

          public List<ApiSnapshotPolicy> getSnapshotPolicies()

      The list of snapshot policies for this service. Optional. Available since API v6.
      Returns:
        snapshotPolicies

    - #### setSnapshotPolicies

          public void setSnapshotPolicies(List<ApiSnapshotPolicy> snapshotPolicies)

    - #### entityStatus

          public ApiService entityStatus(ApiEntityStatus entityStatus)

    - #### getEntityStatus

          public ApiEntityStatus getEntityStatus()

      Get entityStatus
      Returns:
        entityStatus

    - #### setEntityStatus

          public void setEntityStatus(ApiEntityStatus entityStatus)

    - #### tags

          public ApiService tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiService addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the service. Available since V41.
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### serviceVersion

          public ApiService serviceVersion(String serviceVersion)

    - #### getServiceVersion

          public String getServiceVersion()

      Service version (optional) Available since V41.
      Returns:
        serviceVersion

    - #### setServiceVersion

          public void setServiceVersion(String serviceVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.